﻿$ErrorActionPreference = 'Stop'

if ((Get-OSArchitectureWidth 32) -or $env:ChocolateyForceX86) {
  throw ("This application currently only supports 64-bit Windows systems.")
}

$packageArgs = @{
  url64         = 'https://github.com/vladimiry/ElectronMail/releases/download/v4.14.0/electron-mail-4.14.0-windows-x64-nsis-installer.exe'
  checksum64    = '8e7c2c77956529992c4b1d3af3f2614defe73db496cc10b807d04d19edc51682'
  checksumType  = 'sha256'
  softwareName  = 'ElectronMail*'
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  packageName   = $env:ChocolateyPackageName
}

Install-ChocolateyPackage @packageArgs
